unit ChoixFicArbre;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, CheckLst, Buttons, Grids, MyNewGrid;

type
  TFormChoixFicArbre = class(TForm)
    Panel1: TPanel;
    OpenDialog1: TOpenDialog;
    OK: TBitBtn;
    Annule: TBitBtn;
    Panel7: TPanel;
    Panel4: TPanel;
    Label1: TLabel;
    Panel3: TPanel;
    BChercher2: TButton;
    ListeFichiers: TListBox;
    BEffacer2: TButton;
    Panel6: TPanel;
    Label3: TLabel;
    Panel2: TPanel;
    FichierRef: TEdit;
    BChercher1: TButton;
    Panel5: TPanel;
    Label2: TLabel;
    BEffacer1: TButton;
    NePasDater: TCheckBox;
    TabGrid1: TTabGrid;
    ConserverDispo: TCheckBox;
    Label4: TLabel;
    InterdireTableau: TCheckBox;
    procedure BChercher1Click(Sender: TObject);
    procedure BChercher2Click(Sender: TObject);
    procedure BEffacer2Click(Sender: TObject);
    procedure BEffacer1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure TabGrid1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure AfficheModeArbre(Vrai:Boolean);
  end;

var
  FormChoixFicArbre: TFormChoixFicArbre;

implementation
uses GestionTextes;
{$R *.dfm}
procedure TFormChoixFicArbre.AfficheModeArbre(Vrai:Boolean);
begin
  if Vrai then
    begin
      Panel1.Visible:=True;
      //Panel7.Left:=208;
      //OK.Left:=376;
      //Annule.Left:=456;
      Width:=680;
      //ListeArbres.Clear;
      //ListeArbres.Items.Add('Arbre principal');
      //ListeArbres.Checked[0]:=True;
//      Caption:='Choix concernant les arbres pour en faire un exercice';
      Caption:=M_Choixconcernantles;
      NePasDater.Visible:=True;
    end
  else
    begin
      NePasDater.Visible:=False;
//      Caption:='Choix des documents  associer au fichier';
      Caption:=M_Choixdesdocumentsa;
      Panel1.Visible:=False;
      //Panel7.Left:=0;
      //OK.Left:=32;
      //Annule.Left:=112;
      Width:=349;
    end;
  FichierRef.Text:='';
  listeFichiers.Clear;
end;
procedure TFormChoixFicArbre.BChercher1Click(Sender: TObject);
begin
  OpenDialog1.Options:=OpenDialog1.Options-[ofAllowMultiSelect];
  if OpenDialog1.Execute then
    begin
      FichierRef.Text:=OpenDialog1.FileName;
    end;
end;

procedure TFormChoixFicArbre.BChercher2Click(Sender: TObject);
begin
  OpenDialog1.Options:=OpenDialog1.Options+[ofAllowMultiSelect];
  if ListeFichiers.Count>0 then
//    if MessageDlg('Effacer la liste ?',mtConfirmation,[mbNo,mbYes],0)=mrYes then
    if MessageDlg(M_Effacerlaliste,mtConfirmation,[mbNo,mbYes],0)=mrYes then
      ListeFichiers.Clear;
  if OpenDialog1.Execute then
    begin
      ListeFichiers.Items.AddStrings(OpenDialog1.Files);
    end;
end;

procedure TFormChoixFicArbre.BEffacer2Click(Sender: TObject);
begin
  ListeFichiers.Clear;
end;

procedure TFormChoixFicArbre.BEffacer1Click(Sender: TObject);
begin
  FichierRef.Text:='';
end;

procedure TFormChoixFicArbre.FormCreate(Sender: TObject);
Var
  i:integer;
begin
  Caption:=C_FormChoixFicArbre;
  Label4.Caption:=C_FormChoixFicArbreLabel4;
  BChercher2.Caption:=C_FormChoixFicArbreBChercher2;
  BEffacer2.Caption:=C_FormChoixFicArbreBEffacer2;
  Label3.Caption:=C_FormChoixFicArbreLabel3_1+Chr(13)+Chr(10)+C_FormChoixFicArbreLabel3;
  BChercher1.Caption:=C_FormChoixFicArbreBChercher2;
  BEffacer1.Caption:=C_FormChoixFicArbreBEffacer2;
  NePasDater.Caption:=C_FormChoixFicArbreNePasDater;
  ConserverDispo.Caption:=C_FormChoixFicArbreConserverDispo;
  InterdireTableau.Caption:=C_FormChoixFicArbreInterdireTableau;
//  TabGrid1.Cells[0,0]:='Arbre';
  TabGrid1.Cells[0,0]:=M_Arbre;
//  TabGrid1.Cells[1,0]:='Sauvegarder';
  TabGrid1.Cells[1,0]:=M_Sauvegarder_1;
//  TabGrid1.Cells[2,0]:='Afficher';
  TabGrid1.Cells[2,0]:=L_Afficher;
//  TabGrid1.Cells[3,0]:='ditable';
  TabGrid1.Cells[3,0]:=M_ditable;
  For i:=1 to 3 do
//    TabGrid1.Cells[i,1]:='Oui';
    TabGrid1.Cells[i,1]:=M_Oui;
end;

procedure TFormChoixFicArbre.TabGrid1MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
Var
  col,row:integer;
begin
  TabGrid1.MouseToCell(X,Y,col,row);
  If (col>0)and(row>1) then
    begin
//      if TabGrid1.Cells[col,row]='Oui' then
      if TabGrid1.Cells[col,row]=M_Oui then
//        TabGrid1.Cells[col,row]:='Non'
        TabGrid1.Cells[col,row]:=M_Non_1
      else
//        TabGrid1.Cells[col,row]:='Oui';
        TabGrid1.Cells[col,row]:=M_Oui;
    end;
end;
end.
